Get outgoing messages count grouped by entity
curl --request GET \
--url https://app.rookoo.ai/api/v2/accounts/{account_id}/reports/outgoing_messages_count \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.rookoo.ai/api/v2/accounts/{account_id}/reports/outgoing_messages_count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v2/accounts/{account_id}/reports/outgoing_messages_count"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 1,
"name": "Agent One",
"outgoing_messages_count": 42
},
{
"id": 2,
"name": "Agent Two",
"outgoing_messages_count": 18
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Reports
Get outgoing messages count grouped by entity
Get the count of outgoing messages grouped by a specified entity (agent, team, inbox, or label). When grouped by agent, messages sent by bots are excluded.
GET
/
api
/
v2
/
accounts
/
{account_id}
/
reports
/
outgoing_messages_count
Get outgoing messages count grouped by entity
curl --request GET \
--url https://app.rookoo.ai/api/v2/accounts/{account_id}/reports/outgoing_messages_count \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.rookoo.ai/api/v2/accounts/{account_id}/reports/outgoing_messages_count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v2/accounts/{account_id}/reports/outgoing_messages_count"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 1,
"name": "Agent One",
"outgoing_messages_count": 42
},
{
"id": 2,
"name": "Agent Two",
"outgoing_messages_count": 18
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Query Parameters
The entity to group outgoing message counts by.
Available options:
agent, team, inbox, label The timestamp from where report should start (Unix timestamp).
The timestamp from where report should stop (Unix timestamp).
Response
Success
Example:
[
{
"id": 1,
"name": "Agent One",
"outgoing_messages_count": 42
},
{
"id": 2,
"name": "Agent Two",
"outgoing_messages_count": 18
}
]